This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 852246 - (CVE-2012-3540) CVE-2012-3540 OpenStack-Horizon: Open redirect through 'next' parameter
CVE-2012-3540 OpenStack-Horizon: Open redirect through 'next' parameter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120830,reported=2...
: Security
Depends On: 852247 853241 853243
Blocks: 852248
  Show dependency treegraph
 
Reported: 2012-08-27 22:14 EDT by Kurt Seifried
Modified: 2016-04-26 14:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 14:14:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CVE-2012-3540-auth_forms.patch (1.13 KB, patch)
2012-08-27 22:15 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-08-27 22:14:42 EDT
Russel Bryant (rbryant@redhat.com) from the OpenStack Project reports:

Title: Open redirect through 'next' parameter
Impact: Medium
Reporter: Thomas Biege (SUSE)
Products: Horizon
Affects: Essex

Description:
Thomas Biege from SUSE reported a vulnerability in Horizon
authentication mechanism. By adding a malicious 'next' parameter to a
Horizon authentication URL and enticing an unsuspecting user to follow
it, the victim might get redirected after authentication to a
malicious site where useful information could be extracted. Only
setups running Essex are affected.

Proposed patch:
See attached diff. This proposed patch will be merged into the
stable/essex branch on the public disclosure date.
Comment 1 Kurt Seifried 2012-08-27 22:15:57 EDT
Created attachment 607380 [details]
CVE-2012-3540-auth_forms.patch
Comment 4 Kurt Seifried 2012-08-30 16:30:14 EDT
Created python-django-horizon tracking bugs for this issue

Affects: fedora-17 [bug 853241]
Comment 5 Kurt Seifried 2012-08-30 16:37:16 EDT
Created python-django-horizon tracking bugs for this issue

Affects: epel-6 [bug 853243]
Comment 6 Kurt Seifried 2012-08-30 22:11:36 EDT
This is now public https://lists.launchpad.net/openstack/msg16281.html
Comment 8 Murray McAllister 2012-09-24 23:15:40 EDT
Acknowledgements:

Red Hat would like to thank Thomas Biege of SUSE for reporting this issue.
Comment 9 errata-xmlrpc 2012-10-16 13:56:04 EDT
This issue has been addressed in following products:

  OpenStack Essex for RHEL 6

Via RHSA-2012:1380 https://rhn.redhat.com/errata/RHSA-2012-1380.html

Note You need to log in before you can comment on or make changes to this bug.